"""Migration File"""  # pylint: disable=invalid-name
# Generated by Django 4.2.10 on 2024-04-11 06:48

import django.contrib.postgres.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json  # pylint: disable=import-error


class Migration(migrations.Migration):
    """Migration Class"""

    dependencies = [
        # Add the last known migration of `extras` (v3.6.9) to make sure its
        # migration is over before this one is applied.
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_rps_plugin', '0015_acldeniedsource'),
    ]

    operations = [
        migrations.CreateModel(
            name='CacheConfig',
            fields=[
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('list_extensions', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True), size=7)),
                ('ttl', models.IntegerField(default=0)),
                ('max_size_limit', models.IntegerField(default=100, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(100)])),
                ('last_updated', models.DateTimeField(auto_now_add=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('mapping', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cache_configs', to='netbox_rps_plugin.mapping')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
